namespace NexusReader.UI.Shared.Services;

public sealed class ThemeService : IThemeService
{
    public bool IsLightMode { get; private set; } = false;
    public event Func<Task>? OnThemeChanged;

    public async Task ToggleTheme()
    {
        IsLightMode = !IsLightMode;
        if (OnThemeChanged != null) await OnThemeChanged();
    }
}
